GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gridfire::solver::DirectNetworkSolver::JacobianFunctor Struct Reference

Functor for calculating the Jacobian matrix. More...

## Public Member Functions
| JacobianFunctor (DynamicEngine &engine, const double T9, const double rho)
| Constructor for the JacobianFunctor.
void | operator() (const boost::numeric::ublas::vector< double > &Y, boost::numeric::ublas::matrix< double > &J, double t, boost::numeric::ublas::vector< double > &dfdt) const
| Calculates the Jacobian matrix.

## Public Attributes
DynamicEngine & | m_engine
| The engine used to evaluate the network.
const double | m_T9
| Temperature in units of 10^9 K.
const double | m_rho
| Density in g/cm^3.

## Detailed Description

Functor for calculating the Jacobian matrix.

This functor is used by the ODE solver to calculate the Jacobian matrix of the ODEs. It takes the current abundances as input and returns the Jacobian matrix.

Definition at line 143 of file solver.h.

## Constructor & Destructor Documentation

## ◆ JacobianFunctor()

gridfire::solver::DirectNetworkSolver::JacobianFunctor::JacobianFunctor | ( | DynamicEngine & | engine,
|  | const double | T9,
|  | const double | rho )
| inline

Constructor for the JacobianFunctor.

Parameters

  engine | The engine used to evaluate the network.
  T9 | Temperature in units of 10^9 K.
  rho | Density in g/cm^3.

Definition at line 154 of file solver.h.

## Member Function Documentation

## ◆ operator()()

void gridfire::solver::DirectNetworkSolver::JacobianFunctor::operator() | ( | const boost::numeric::ublas::vector< double > & | Y,
|  | boost::numeric::ublas::matrix< double > & | J,
|  | double | t,
|  | boost::numeric::ublas::vector< double > & | dfdt ) const

Calculates the Jacobian matrix.

Parameters

  Y | Vector of current abundances.
  J | Matrix to store the Jacobian matrix.
  t | Current time.
  dfdt | Vector to store the time derivatives (not used).

Definition at line 215 of file solver.cpp.

## Member Data Documentation

## ◆ m_engine

DynamicEngine& gridfire::solver::DirectNetworkSolver::JacobianFunctor::m_engine

The engine used to evaluate the network.

Definition at line 144 of file solver.h.

## ◆ m_rho

const double gridfire::solver::DirectNetworkSolver::JacobianFunctor::m_rho

Density in g/cm^3.

Definition at line 146 of file solver.h.

## ◆ m_T9

const double gridfire::solver::DirectNetworkSolver::JacobianFunctor::m_T9

Temperature in units of 10^9 K.

Definition at line 145 of file solver.h.

The documentation for this struct was generated from the following files:

- src/include/gridfire/solver/solver.h
- src/lib/solver/solver.cpp